/* Общие стили секции "Стоимость услуг" */
.pricing {
  margin-top: 155px;
}

.pricing-title {
  font-size: 45px;
  font-family: Montserrat, sans-serif;
  font-weight: 600;
  color: black;
}

.pricing-content {
  display: flex;
  gap: 10px;
}

.pricing-column {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

/* Стили обычного блока */
.pricing-block {
  color: white;
  padding: 54px;
  border-radius: 24px;
  display: flex;
  flex-direction: column;
  gap: 36px;
}

.block-title {
  font-size: 35px;
  font-family: Inter, sans-serif;
  font-weight: 600;
  color: inherit;
}

.block-items {
  display: flex;
  flex-direction: column;
  gap: 28px;
}

.block-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 50px;
}

.item-name {
  font-size: 22px;
  font-family: Inter, sans-serif;
  font-weight: 400;
  color: inherit;
}

.item-price {
  font-size: 30px;
  font-family: Inter, sans-serif;
  font-weight: 600;
  color: inherit;
  white-space: nowrap;
}

.special-block {
  display: flex;
  gap: 10px;
}

.special-item {
  flex: 1;
  padding: 25px 0;
  border-radius: 29px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  gap: 30px;
}

.special-item .item-image {
  max-width: 105px;
  max-height: 105px;
}

.special-item .item-details {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
}

.special-item .item-title {
  font-size: 30px;
  font-family: Inter, sans-serif;
  font-weight: 600;
  color: #090909;
  text-align: center;
}

.special-item .item-price {
  font-size: 30px;
  font-family: Inter, sans-serif;
  font-weight: 600;
  text-align: center;
}

/* Adaptation for screens up to 1600px */
@media (max-width: 1600px) {
  .pricing {
    margin-top: 60px;
  }

  .pricing-title {
    font-size: 40px;
  }

  .block-title {
    font-size: 32px;
  }

  .item-name {
    font-size: 20px;
  }

  .item-price {
    font-size: 28px;
  }

  .special-item .item-title,
  .special-item .item-price {
    font-size: 28px;
  }
}

/* Adaptation for screens up to 1200px */
@media (max-width: 1200px) {
  .pricing-block {
    padding: 30px;
  }

  .pricing-content {
    flex-direction: column;
    gap: 20px;
  }

  .pricing-title {
    font-size: 35px;
  }

  .block-title {
    font-size: 30px;
  }

  .item-name,
  .item-price {
    font-size: 18px;
  }

  .special-item {
    flex: 1 1 100%;
  }

  .special-item .item-title,
  .special-item .item-price {
    font-size: 26px;
  }
}

/* Adaptation for screens up to 768px */
@media (max-width: 768px) {
  .pricing-block {
    padding: 20px;
  }
  .block-item {
    gap: 10px;
  }
  .pricing-title {
    font-size: 30px;
  }

  .block-title {
    font-size: 28px;
  }

  .item-name,
  .item-price {
    font-size: 16px;
  }

  .special-item .item-title,
  .special-item .item-price {
    font-size: 24px;
  }

  .pricing-content {
    gap: 15px;
  }
  .special-item .item-image {
    max-width: 80px;
    max-height: 80px;
  }
}

/* Adaptation for screens up to 480px */
@media (max-width: 480px) {
  .block-title {
    font-size: 24px;
  }

  .item-name,
  .item-price {
    font-size: 14px;
  }

  .special-item {
    padding: 15px 0;
  }

  .special-item .item-title,
  .special-item .item-price {
    font-size: 14px;
  }

  .pricing-content {
    gap: 10px;
  }

  .special-item .item-image {
    max-width: 30px;
    max-height: 30px;
  }
}

.collapsible-container {
  overflow: visible;
}

.collapsible-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
}

.collapsible-icon {
  width: 40px;
  height: 40px;
  position: relative;
  border-radius: 100%;
  background-color: #545252;
  display: none;
  transition: background-color 0.3s;
}

.plus-line {
  position: absolute;
  width: 16px;
  height: 2px;
  background-color: white;
  transition: transform 0.3s ease;
}

.plus-line.vertical {
  transform: rotate(0deg);
}

.plus-line.horizontal {
  transform: rotate(90deg);
}

.collapsible-content {
  max-height: 100%;
}

.collapsible-container.active .collapsible-content {
  max-height: 1000px;
}

.collapsible-container.active .plus-line.vertical {
  transform: rotate(0deg);
}

.collapsible-container.active .plus-line.horizontal {
  transform: rotate(0deg);
}

@media (max-width: 1200px) {
  .collapsible-container {
    overflow: hidden;
    gap: 0;
  }
  .block-items {
    margin-top: 36px;
  }
  .collapsible-content {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease;
  }
  .collapsible-icon {
    display: flex;
    align-items: center;
    justify-content: center;
  }
}
